Bug 59651 - [patch] Remove last remaining COMMENT files from ports
Summary: [patch] Remove last remaining COMMENT files from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-24 19:30 UTC by Matthew Seaman
Modified: 2004-04-02 08:34 UTC (History)
0 users

See Also:


Attachments
bsd.port.subdir.mk.diff (332 bytes, patch)
2003-11-24 19:30 UTC, Matthew Seaman
no flags Details | Diff
file.diff (16.73 KB, patch)
2003-11-24 19:30 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2003-11-24 19:30:20 UTC
The original pkg-comment files for all ports have long since been
replaced by one-line COMMENT variables in the port Makefiles.  Extend
this to the sub-directory Makefiles, which use <dirname>/pkg/COMMENT
for the same purpose.

Needs a slight tweak to bsd.port.subdir.mk, or the package comments
get excessively escaped.

Fix: The following directories and the COMMENT files within them should be
removed:

archivers/pkg/
astro/pkg/
audio/pkg/
benchmarks/pkg/
biology/pkg/
cad/pkg/
chinese/pkg/
comms/pkg/
converters/pkg/
databases/pkg/
deskutils/pkg/
devel/pkg/
dns/pkg/
editors/pkg/
emulators/pkg/
finance/pkg/
french/pkg/
ftp/pkg/
games/pkg/
german/pkg/
graphics/pkg/
hebrew/pkg/
hungarian/pkg/
irc/pkg/
japanese/pkg/
java/pkg/
korean/pkg/
lang/pkg/
mail/pkg/
math/pkg/
mbone/pkg/
misc/pkg/
multimedia/pkg/
net/pkg/
news/pkg/
palm/pkg/
picobsd/pkg/
polish/pkg/
portuguese/pkg/
print/pkg/
russian/pkg/
science/pkg/
security/pkg/
shells/pkg/
sysutils/pkg/
textproc/pkg/
ukrainian/pkg/
vietnamese/pkg/
www/pkg/
x11-clocks/pkg/
x11-fm/pkg/
x11-fonts/pkg/
x11-servers/pkg/
x11-toolkits/pkg/
x11-wm/pkg/
x11/pkg/
Comment 1 Sergei Kolobov freebsd_committer 2003-11-24 20:29:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr.
Comment 2 Kris Kennaway freebsd_committer 2004-03-21 02:58:19 UTC
State Changed
From-To: open->analyzed

Will be tested on the next bento 4-exp run
Comment 3 Kris Kennaway freebsd_committer 2004-04-02 08:34:24 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!